package org.project.item.weapons;

import org.project.entity.Entity;

public class MirrorClaws extends Weapon{
    private static int DEFAULT_DAMAGE = 25;
    private static int DEFAULT_MANACOST = 15;
    private static int DEFAULT_SPECIAL_MANA = 20;


    public MirrorClaws() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }

    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(this.getDamage());
        target.reduceMana(30);
        attacker.reduceMana(this.getManaCost() + 10);
    }
    @Override
    public String getType() {
        return "Mirror Claws(Vampires)";
    }
    @Override
    public String getExplanation() {
        return "Melee slashing weapon for vampires. Inflicts \"reflection\" debuff.\n" +
                "Damage: "+ this.getDamage() +" Mana cost: " + this.getManaCost() +
                "\nSpecial ability: reduces target's mana by 30 on top of normal damage.";
    }
}
